Page MenuHomePhabricator

Rename multimedia-team to structured-data-team
Closed, ResolvedPublic

Description

For several months now, the erstwhile Multimedia team, now renamed to the Structured Data team, has had a mis-named mailing list.

I'd appreciate it if a mailman admin type could change the email address for the multimedia-team list to structured-data-team@lists.wikimedia.org, and other appropriate settings. Forwarding would be super nice if possible.

n.b. H315 should also be updated once this task is complete.

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptOct 15 2019, 6:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
crusnov claimed this task.Oct 15 2019, 8:57 PM
crusnov triaged this task as Medium priority.
crusnov added a subscriber: crusnov.

Question, do you need an alias for the old list name?

Thanks

@crusnov that would be great! Thanks.

n.b. H315 should also be updated once this task is complete.

I have created the Phab mailing list user account [structured-data-team-list](https://phabricator.wikimedia.org/p/structured-data-team-list/) with the associated email address structured-data-team@l.wm.o so anyone with sufficient rights could adjust H315 once this is executed, and disable the [multimedia-team-list](https://phabricator.wikimedia.org/p/multimedia-team-list/) Phab account. Not urgent at all though, if you set up an alias.

Apologies for not updating until now, I shall complete this on Monday if that is sufficient so as to not break things over a weekend.

Change 545122 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/puppet@production] mailman: add alias and redirect for multimedia-team

https://gerrit.wikimedia.org/r/545122

crusnov removed crusnov as the assignee of this task.Nov 25 2019, 4:39 PM

Passing to next clinic duty person.

Hi, folks! I haven't heard much about this recently, and wanted to see what remained to be done, and if I could help unblock anything. :)

@MarkTraceur Know the status of this?

Aklapper added a subscriber: jbond.Mar 2 2020, 10:53 AM

@jbond: My guess is you're on clinic duty this week (not sure if the IRC channel topic is correct though)? (A bit hard to find out, see T244266#5931948 )

jbond added a comment.Mar 2 2020, 12:21 PM

@Aklapper i'm unsure who was on clinic duty last week (it wasn't me and the irc topic was not updated) however i think Daniel tackled a lot of the duties last week. The new clinic duty person will be rotated on today at 18:00 UTC and i will ensure that the wikis and irc is updated to indicate who it is. thanks

@jbond Thanks for volunteering to update the clinic duty rotation. Is there somewhere I can see that? I would love to know with whom I should communicate about this ticket, depending on when. :)

Volans added a subscriber: Volans.Mar 23 2020, 11:04 AM

@MBinder_WMF we're in the process of changing the way we schedule clinic duty, the current person on clinic duty is mentioned in the /topic of the #wikimedia-operations IRC channel and listed in the related wikitech page:

I'll make sure to raise this to the mailmans admins for an update.

Change 582842 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: SMTP/HTTPS forward multimedia-team -> structured-data-team

https://gerrit.wikimedia.org/r/582842

Change 582842 merged by Herron:
[operations/puppet@production] lists: SMTP/HTTPS forward multimedia-team -> structured-data-team

https://gerrit.wikimedia.org/r/582842

herron closed this task as Resolved.Mar 23 2020, 5:27 PM
herron claimed this task.
herron added a subscriber: herron.

Hello! The multimedia-team list has been renamed to structured-data-team, and redirects/forwarding have been put into place. I'll transition this to resolved as a soft close, but please re-open if any follow up is needed. Thanks!

Brilliant, thank you. @Aklapper , per your earlier comment

I have created the Phab mailing list user account structured-data-team-list with the associated email address structured-data-team@l.wm.o so anyone with sufficient rights could adjust H315 once this is executed, and disable the multimedia-team-list Phab account. Not urgent at all though, if you set up an alias.

I have updated that Herald. Would appreciate a quick review of it, just in case. :)

The multimedia-team-list account also needs to be disabled, though I think that is outside of my permissions.

@MarkTraceur Now that this change is live, we should update the mailing list with the team to match https://phabricator.wikimedia.org/p/structured-data-team-list/. Perhaps @CBogen can help with that.

I have updated that Herald. Would appreciate a quick review of it, just in case. :)

LGTM

The multimedia-team-list account also needs to be disabled

Right, thanks. :) Done now.